export declare const DIV_ELEMENT: string;
export declare class OverlayViewHost {
    private document;
    element: HTMLElement;
    constructor(document: Document);
    createElement(elementClassNames: string[]): void;
    appendChild(htmlElement: HTMLElement): void;
    show(): void;
    hide(): void;
    addClass(className: string): void;
    removeClass(className: string): void;
    applyPlacement(calculatedOffset: any): void;
    setStyle(params: {
        [key: string]: any;
    }): void;
    private appendToBody;
    destroy(): void;
}
export declare class OverlayPositionHost {
    getClientRectangle(htmlElement: HTMLElement): ClientRect;
    getOffset(htmlElement: HTMLElement): ElementOffsetModel;
    getCalculatedOffset(offSetModel: OffSetModel): {
        top: number;
        left: number;
    };
}
export declare class BackDrop {
    private static overlayViewHost;
    private static validationOverlayViewHost;
    static create(): void;
    static createValidation(): void;
    static isBackdrop(): boolean;
    static removeValidation(): void;
    static remove(): void;
}
export declare class OffSetModel {
    placement: string;
    position: ClientRect;
    mainElementOffset: ElementOffsetModel;
    overlayElementOffset: ElementOffsetModel;
    isCenterOverlay: boolean;
    constructor(placement: string, position: ClientRect, mainElementOffset: ElementOffsetModel, overlayElementOffset: ElementOffsetModel, isCenterOverlay?: boolean);
}
export declare class ElementOffsetModel {
    width: number;
    height: number;
    constructor(width: number, height: number);
}
